import { InputFlags, InputArgs, OutputArgs, OutputFlags } from 'cli-flags';
import { Config, ConfigOptions, Plugin, ICommand } from 'cli-engine-config';
import { HTTP } from 'http-call';
import { CLI } from 'cli-ux';
export interface IMockOutput<T extends Command> {
    cmd: T;
    stdout: string;
    stderr: string;
}
export declare class Command implements ICommand {
    topic?: string;
    command?: string;
    name?: string;
    description?: string;
    hidden: boolean;
    usage?: string;
    help?: string;
    aliases: string[];
    strict: boolean;
    variableArgs: boolean;
    Flags: InputFlags;
    Args: InputArgs;
    _version: any;
    plugin?: Plugin;
    readonly id: string;
    static mock<T extends Command>(...argv: string[]): Promise<IMockOutput<T>>;
    static run(config?: ConfigOptions): Promise<Command>;
    config: Config;
    http: typeof HTTP;
    cli: CLI;
    flags: OutputFlags<this['Flags']>;
    argv: string[];
    args: OutputArgs;
    constructor(config?: ConfigOptions);
    readonly out: CLI;
    init(): Promise<void>;
    run(): Promise<void>;
    buildHelp(): string;
    buildHelpLine(): [string, string | undefined];
}
